summaryrefslogtreecommitdiff
path: root/tcwg-update-host-containers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg-update-host-containers.sh')
-rwxr-xr-xtcwg-update-host-containers.sh20
1 files changed, 15 insertions, 5 deletions
diff --git a/tcwg-update-host-containers.sh b/tcwg-update-host-containers.sh
index bde3f718..83088680 100755
--- a/tcwg-update-host-containers.sh
+++ b/tcwg-update-host-containers.sh
@@ -1,22 +1,29 @@
#!/bin/bash
-set -ef -o pipefail
+set -euf -o pipefail
scripts=$(dirname $0)
# shellcheck source=jenkins-helpers.sh
. $scripts/jenkins-helpers.sh
convert_args_to_variables "$@"
-distro="${distro-bionic}"
+distro="${distro-default}"
node="${node-host}"
group="${group-default}"
force="${force-false}"
+test_docker="${test_docker-false}"
+additional_options="${additional_options-}"
+dryrun="${dryrun-false}"
verbose="${verbose-true}"
-set -u
-
if $verbose; then set -x; fi
+# Resolve LTS and LTS-1 values to Ubuntu distros.
+case "$distro" in
+ lts_1) distro=focal ;;
+ lts|default) distro=jammy ;;
+esac
+
image="linaro/ci-$(print_arch_for_host localhost)-tcwg-host-ubuntu:$distro"
if [ x"$group" = x"default" ]; then
@@ -34,8 +41,11 @@ fi
$scripts/tcwg-start-container.sh \
--container "$node" \
+ --dryrun "$dryrun" \
--image "$image" \
--keep_existing "$keep_existing" \
+ --test_docker "$test_docker" \
+ --additional_options "$additional_options" \
--verbose "$verbose" \
-- \
- --verbose $verbose -- $image $group $node
+ $image $group $node